import json
da1_stats = {}
da2_stats = {}
total_da1 = 0.0
total_da2 = 0.0
with open('./response.json','r',encoding='utf8') as f:
    for line in f:
        instance = json.loads(line.strip())
        if instance['da1'] not in da1_stats:
            da1_stats[instance['da1']] = 0
        if instance['da2'] not in da2_stats:
            da2_stats[instance['da2']] = 0
        da1_stats[instance['da1']] += 1
        da2_stats[instance['da2']] += 1
        total_da1 += 1.0
        total_da2 += 1.0


print(da1_stats)
print(da2_stats)
for k,v in da1_stats.items():
    print("{}={},{}".format(k,v,float(v)/total_da1))
for k,v in da2_stats.items():
    print("{}={},{}".format(k,v,float(v)/total_da2))
