import json
da1_stats = {}
da2_stats = {}

table_order = ["肯定性陈述句","否定陈述句","包含疑问代词或疑问结构的陈述句","双重否定","其他",\
                "特指问句","是非问句","正反问句","选择问句","附加问","反问句","回声问","开放性问句",\
                "请求句","劝阻句","命令句","禁止句",\
                "以感叹号为结尾，无明显叹词但情感强烈的感叹句", \
                "由叹词、副词和语气词构成的感叹句","口号或祝词式的感叹句"]
total_da1 = 0.0
total_da2 = 0.0
with open('./response.json','r',encoding='utf8') as f:
    for line in f:
        instance = json.loads(line.strip())
        if instance['da1'] not in da1_stats:
            da1_stats[instance['da1']] = 0
        if instance['da2'] not in da2_stats:
            da2_stats[instance['da2']] = 0
        da1_stats[instance['da1']] += 1
        da2_stats[instance['da2']] += 1
        total_da1 += 1.0
        total_da2 += 1.0


print(da1_stats)
print(da2_stats)
for k,v in da1_stats.items():
    print("{}={},{}".format(k,v,(float(v)/total_da1)*100.0))
print("====")
#for k,v in da2_stats.items():
for k in table_order:
    if k not in da2_stats:
        print("{}={},{}".format(k,0,0.0))
        continue
    else:
        v = da2_stats[k]
        print("{}={},{}".format(k,v,(float(v)/total_da2)*100.0))
